Last Comment Bug 1115285 - [l10n] Thunderbird start page: make support link localizable
: [l10n] Thunderbird start page: make support link localizable
Status: RESOLVED FIXED
[kb=1615835]
:
Product: www.mozilla.org
Classification: Other
Component: Thunderbird (show other bugs)
: Production
: All All
-- normal
: ---
Assigned To: Kohei Yoshino [:kohei]
:
:
Mentors:
https://www.mozilla.org/thunderbird/r...
Depends on: 1103396
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-23 23:13 PST by Francesco Lodolo [:flod]
Modified: 2015-01-07 03:19 PST (History)
11 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
pull request (44 bytes, text/x-github-pull-request)
2014-12-29 15:35 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review

Description User image Francesco Lodolo [:flod] 2014-12-23 23:13:21 PST
It's a request from our Czech localizer, but I definitely think it's useful for other locales (e.g. Italian).

There's a link "ask your question on our support forum", that points to https://support.mozilla.org/questions/new/thunderbird

We should be able to point this link to a localized support forum, if available.

Technically, we could use a string to store the URL and make it localizable.
We're doing something similar with the First Run page for Nightly
https://github.com/mozilla/bedrock/blob/master/bedrock/firefox/templates/firefox/nightly_firstrun.html#L63
Comment 1 User image Matt 2014-12-24 01:20:47 PST
I think Vincent would applaud the idea for the French locale as well. 

As an aside, this may be an opportunity to get the wiki page of non English forums updated.
https://wiki.mozilla.org/Thunderbird/Support/Community_support_based_on_languages

I am fairly sure some somewhere is supporting Thunderbird in Portuguese as we appear to have lots of users in South America speaking that language,  but I do not know where.
Comment 2 User image Wayne Mery (:wsmwk, NI for questions) 2014-12-24 01:55:45 PST
Absolutely. I was hoping that  https://support.mozilla.org/questions/new/thunderbird would localize automatically via the browser.

(In reply to Matt from comment #1)
> I think Vincent would applaud the idea for the French locale as well. 
> 
> As an aside, this may be an opportunity to get the wiki page of non English
> forums updated.
> https://wiki.mozilla.org/Thunderbird/Support/
> Community_support_based_on_languages
> 
> I am fairly sure some somewhere is supporting Thunderbird in Portuguese as
> we appear to have lots of users in South America speaking that language, 
> but I do not know where.

We shouldn't need to go external in many cases because SUMO often has it localized, eg https://support.mozilla.org/pt-BR/questions/new/thunderbird/other

In others we don't. A Turkish question, https://support.mozilla.org/en-US/questions/1038064, but no support in Turkish :(  https://support.mozilla.org/en-US/questions/new/thunderbird/other

How do we determine which languages are fully operational for Thunderbird?
Comment 3 User image Francesco Lodolo [:flod] 2014-12-24 02:38:56 PST
(In reply to Wayne Mery (:wsmwk) from comment #2)
> How do we determine which languages are fully operational for Thunderbird?

Trust the local community. For Italian we don't use SUMO for support question (we translate articles), while we have an active forum with over 40k topics and constant presence.
Comment 4 User image Magnus Melin 2014-12-25 03:11:49 PST
Does firefox support doing something like this?
While I don't know much about how the local communities work, there's a value having a) one go-to-place b) content in a place you control and not pointing to a 3rd party. Say the next day the 3rd party controlling that domain goes away or starts using it for something else...
Comment 5 User image Francesco Lodolo [:flod] 2014-12-25 09:31:29 PST
First Run page for Nightly (see link above) has that kind of localized link (and content actually). 
Other pages has usually links to support articles, not the support forum on SUMO.

What's the point of having a "one go-to-place" where nobody helps you? Most localization teams will keep the original link, but why hurting older communities with organized support channels? 
The moment the 3rd party domain disappears you'll remove the link, it's not set in stone (it takes 15 minutes to update from the notice).
Comment 6 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2014-12-25 10:16:01 PST
On SUMO, when you go to https://support.mozilla.org/cs/, you can see the "Ask a question" link ("Položit otázku") leads to custom page with our forum links instead of the SUMO form. But the direct link to the original form redirects only to English version. I've also filled Bug 1115080 for that, but until that's fixed, we have to take care about during localization.

In case of Mozilla.cz, the domain is owned by Mozilla, see http://www.nic.cz/whois/?d=mozilla.cz.

We were discussing SUMO with Pavel Cvrček (this year and also a year ago), but we repeatedly decided to stay with our Czech forum. Redirecting the users to SUMO won't be impossible challenge for us. But SUMO users needs to register before asking they question, and that is the main reason - we want straight workflow for them without a registration they will probably forget until the next time they come. But that's not the point of this bug.
Comment 7 User image Magnus Melin 2014-12-25 12:27:00 PST
(In reply to Francesco Lodolo [:flod] from comment #5)
> What's the point of having a "one go-to-place" where nobody helps you? Most

None, but that's a checken-and-egg problem too obviously.

> The moment the 3rd party domain disappears you'll remove the link, it's not
> set in stone (it takes 15 minutes to update from the notice).

People don't move over that easily. And any kind of content/knowledge base could also be lost.
Comment 8 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2014-12-25 12:49:08 PST
(In reply to Magnus Melin from comment #7)
> (In reply to Francesco Lodolo [:flod] from comment #5)
> > The moment the 3rd party domain disappears you'll remove the link, it's not
> > set in stone (it takes 15 minutes to update from the notice).
> 
> People don't move over that easily. And any kind of content/knowledge base
> could also be lost.

And users do not like, when you force them to ask for help on a website, they are not used to, and is for them available only in some foreign language (in case of the "Ask a question" form in Czech).

Anyway, is the l10n really the right place, where it should be treated? If "non-official" or "non-SUMO" community driven websites and user support are not approved by Mozilla, it would be denied and suppressed in general in some more sophisticated way, not even vice versa supported by changing the links on SUMO to redirect the coming users to those community sites. As long as Mozilla allows communities to support the local users (their own users), I do not see any problem here. And it's better than making the localizers think about some hacks in the localization, like commenting parts of the string, when the <a> HTML tag is there and only the presence of some variable is obligatory for the website to be build.
Comment 9 User image Kohei Yoshino [:kohei] 2014-12-25 14:17:41 PST
I'm not sure we can directly link to external pages, but I understand that the "Ask the Question" link on SUMO is different in non en-US locales. Can we just use an if-else switch like this:

if (LANG == 'en-US') {
  support_url = 'https://support.mozilla.org/en-US/questions/new'
} else {
  support_url = 'https://support.mozilla.org/kb/get-community-support'
}
Comment 10 User image Francesco Lodolo [:flod] 2014-12-25 22:05:16 PST
(In reply to Magnus Melin from comment #7)
> None, but that's a checken-and-egg problem too obviously.

Wrong, it would be a chicken-and-egg problem if you start from scratch (in that case I agree SUMO would be the right choice), it's not when there are X years of history behind a community support site.

Unsolicited opinion from someone who's spending his free time to help enabling these pages: if Thunderbird wants to be a successfull community driven project, maybe a good start is not to put in place policies and hurdles for those very same communities.
Comment 11 User image Kohei Yoshino [:kohei] 2014-12-29 15:34:41 PST
I'm going to implement the if-else switch written in my comment 9, so localizers are able to customize the content of the Get Community Support page as they like. (The Japanese page links to the local community forum as well as the enterprise support page.)
Comment 12 User image Kohei Yoshino [:kohei] 2014-12-29 15:35:50 PST
Created attachment 8542313 [details] [review]
pull request
Comment 13 User image Pascal Chevrel:pascalc 2015-01-06 05:34:49 PST
We should fix the page to allow linking directly to the end-user support forums that do exist and where we have an established community already answering end-users questions. We definitely want that for at least French, Danish, Czech and Italian and probably other locales, otherwise we are just hurting our community and our user base.
Comment 14 User image Kohei Yoshino [:kohei] 2015-01-06 10:07:43 PST
I have just updated to make the link localizable as :pascalc said.
Comment 15 User image [github robot] 2015-01-07 03:19:25 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/67a53bff854743d8b087d3f762b22cf1f614fdfe
Fix Bug 1115285 - [l10n] Thunderbird start page: make support link localizable

https://github.com/mozilla/bedrock/commit/4b9768b15dc878f25d864d646461d978124f41e1
Merge pull request #2618 from kyoshino/bug-1115285-tb-start-support

Fix Bug 1115285 - [l10n] Thunderbird start page: make support link localizable

Note You need to log in before you can comment on or make changes to this bug.